%define subrel	1

Name:		megaglest
Version:	3.11.1
Release:	%mkrel 1
Summary:	A free 3d real time strategy game
License:	GPLv3
Group:		Games/Strategy
URL:		http://megaglest.sourceforge.net
Source0:	https://github.com/MegaGlest/megaglest-source/releases/download/%{version}/%{name}-source-%{version}.tar.xz
Patch0:		megaglest-source-3.9.0-mga-link.patch
# https://github.com/MegaGlest/megaglest-source/issues/50
Patch1:		megaglest-source-3.11.1-mga-help2man-no-discard-stderr.patch

BuildRequires:	cmake
BuildRequires:	help2man
BuildRequires:	libircclient-static-devel
BuildRequires:	miniupnpc-devel
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	wxgtk-devel >= 3.0
Requires: 	%{name}-data >= %{version}
Obsoletes:	glest < 3.2.2-8

%description
MegaGlest is a 3D-real-time strategy game, where you control the armies of
one of seven different factions: Tech, Magic, Egyptians, Indians, Norsemen,
Persian or Romans.

A game of MegaGlest takes place on a map of varying size, such as large
plains and fields, with terrain features like rivers, mountains, seas, or
cliffs. Players must establish settlements to gain resources, defend
against other players, and train units to explore the map and attack
enemies. Different resources have to be gathered by every faction. This can
be energy, food, gold, housing, stone and wood.

Choose a faction and create its different units and buildings while
developing your factions' unique abilities over the course of the game.
But beware: strategy matters, so chose wisely when deciding which units to
use when and where if you want a chance to beat the enemy.

%prep
%setup -q
%apply_patches

%build
%cmake -DMEGAGLEST_BIN_INSTALL_PATH=games/ \
       -DMEGAGLEST_DATA_INSTALL_PATH=share/games/%{name}/ \
       -DMEGAGLEST_ICON_INSTALL_PATH=share/icons/hicolor/48x48/apps/
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.{ico,xpm}

%files
%doc docs/CHANGELOG.txt docs/README.txt docs/AUTHORS.source_code.txt docs/COPYRIGHT.source_code.txt
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_mandir}/man6/%{name}*.6*


%changelog
* Sun Aug 09 2015 daviddavid <daviddavid> 3.11.1-1.1.mga5
+ Revision: 862300
- rebuild for new fix of wxgtk built without --enable-utf8 option (mga#16560)

* Thu Mar 12 2015 akien <akien> 3.11.1-1.mga5
+ Revision: 818440
- Version 3.11.1
- Add a patch to fix manpage generation for the editor and g3dviewer
- Use make install instructions now that they are available

* Mon Feb 09 2015 akien <akien> 3.11.0-2.mga5
+ Revision: 814233
- Build against wxWidgets 3.0 (fixes crashing editor)

* Fri Jan 23 2015 akien <akien> 3.11.0-1.mga5
+ Revision: 811969
- Version 3.11.0
- Use pkgconfig BRs

* Wed Dec 17 2014 akien <akien> 3.9.1-9.mga5
+ Revision: 803765
- Rebuild for miniupnpc

* Wed Oct 15 2014 umeabot <umeabot> 3.9.1-8.mga5
+ Revision: 743061
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.1-7.mga5
+ Revision: 682345
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 3.9.1-6.mga5
+ Revision: 670272
- rebuild for glew

* Sun Jun 29 2014 tv <tv> 3.9.1-5.mga5
+ Revision: 641006
- rebuild with lua-5.2

* Wed May 14 2014 luigiwalser <luigiwalser> 3.9.1-4.mga5
+ Revision: 622814
- rebuild for miniupnpc

* Wed Mar 26 2014 akien <akien> 3.9.1-3.mga5
+ Revision: 608854
- Reobsolete glest

* Wed Mar 26 2014 akien <akien> 3.9.1-2.mga5
+ Revision: 608820
- reverted (was: Obsolete glest-data and not glest)

* Sun Feb 09 2014 akien <akien> 3.9.1-1.mga5
+ Revision: 587323
- Fix doc
- New upstream release 3.9.1: https://raw.github.com/MegaGlest/megaglest-source/master/docs/CHANGELOG.txt
- Sources now on github
- Remove obsolete patch
- New upstream release 3.9.0: http://sourceforge.net/p/megaglest/code/HEAD/tree/trunk/docs/CHANGELOG.txt
- Dropped now unnecessary miniupnpc18 patch
- Rediffed patches

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-7.mga4
+ Revision: 533961
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 fwang <fwang> 3.7.1-6.mga4
+ Revision: 475867
- fix build with miniupnpc 1.8
- rebuild for new miniupnpc

* Wed Jul 24 2013 sander85 <sander85> 3.7.1-5.mga4
+ Revision: 457712
- Rebuild for new glew

* Mon Jun 03 2013 fwang <fwang> 3.7.1-4.mga4
+ Revision: 436014
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 3.7.1-3.mga3
+ Revision: 359934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.7.1-2.mga3
+ Revision: 329831
- Obsolete glest

* Wed Dec 05 2012 shadow95 <shadow95> 3.7.1-1.mga3
+ Revision: 327052
- removed megaglest patch gcc
- Update to new version 3.7.1
- Update patch for new version
- removed glest_configurator

* Thu Aug 30 2012 fwang <fwang> 3.6.0.3-3.mga3
+ Revision: 285670
- rebuild for new glew

* Thu Aug 02 2012 fwang <fwang> 3.6.0.3-2.mga3
+ Revision: 277843
- sync with debian patch
- more fixes
- fix build with gcc 4.7
- build with lua 5.1
- rebuild for new glew

  + dams <dams>
    - clean spec file

* Mon Mar 05 2012 fwang <fwang> 3.6.0.3-1.mga2
+ Revision: 218373
- new version 3.6.0.3

* Sat Jan 21 2012 shadow95 <shadow95> 3.6.0.2-2.mga2
+ Revision: 198872
- fix bug in CMakeLists for data install

* Fri Jan 20 2012 fwang <fwang> 3.6.0.2-1.mga2
+ Revision: 198680
- drop invalid man pages generation
- br help2man
- use correct build method
- finall fix build
- fix linkage
- br ircclient
- reupload tarball
- new version 3.6.0.2

* Fri Dec 09 2011 shadow95 <shadow95> 3.6.0.1-1.mga2
+ Revision: 179708
- add BuildRequires: ftgl-devel
- add BuildRequires: glew-devel
- add BuildRequires: miniupnpc-devel
- add CmakeLists.patch for data install in /usr/share/games/megaglest
- update to new version 3.6.0.1

* Mon Sep 26 2011 dmorgan <dmorgan> 3.5.2.4-3.mga2
+ Revision: 147863
- Do not requires x11-font-adobe-utopia-75dpi which is in the nonfree media

* Mon Sep 19 2011 fwang <fwang> 3.5.2.4-2.mga2
+ Revision: 145358
- fix build with libpng 1.5
- rebuild for new libpng

  + shadow95 <shadow95>
    - replace mesa-common-devel BR with GL-devel
    - remove megaglest.png in SOURCES
    - use original file for glest.ini et megaglest.png
    - use original desktop file
    - patch CMakeList for install data in /usr/share/games
    - change section %%file (add each file)
    - import version 3.5.2
    - clean spec
    - change license GPLv2+ to GPLv3
    - imported package megaglest

  + stormi <stormi>
    - improve description
    - remove obsolete %%post and %%postun

